This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 870496 - (binwalk) Review Request: binwalk - Firmware analysis tool
Review Request: binwalk - Firmware analysis tool
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Darryl L. Pierce
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2012-10-26 12:18 EDT by Adam Jackson
Modified: 2015-06-21 20:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-13 12:44:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dpierce: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Jackson 2012-10-26 12:18:36 EDT
Spec URL: http://ajax.fedorapeople.org/binwalk/binwalk.spec
SRPM URL: http://ajax.fedorapeople.org/binwalk/binwalk-0.4.5-1.fc18.src.rpm
Description:
Binwalk is a tool for searching a given binary image for embedded files and
executable code. Specifically, it is designed for identifying files and code
embedded inside of firmware images. Binwalk uses the libmagic library, so it is
compatible with magic signatures created for the Unix file utility.

Fedora Account System Username: ajax
Comment 1 Darryl L. Pierce 2012-10-26 14:10:31 EDT
I'll take this one.
Comment 2 Darryl L. Pierce 2012-10-26 14:51:29 EDT
Initial results. Only negative is that the %install begins with:

rm -rf $RPM_BUILD_ROOT

but should not according to the fedora-review utility. However, I don't see a supporting entry in the Fedora package review checklist on the wiki. I don't consider that a blocker, so I'll go ahead an approve the package. If it IS an issue, please remove the line.

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[?]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[?]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[ ]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated", "zlib/libpng". 2 files have unknown license.
     Detailed output of licensecheck in
     /home/mcpierce/Packaging/review/870496-binwalk/licensecheck.txt
     
     Manually verified that files' prologs mention the MIT license.
     
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[-]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (binwalk-0.4.5.tar.gz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
     
     http://koji.fedoraproject.org/koji/taskinfo?taskID=4629843
     
[-]: %check is present and all tests pass.

No %check section, but there are no tests included in the code.

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: binwalk-0.4.5-1.fc17.src.rpm
          binwalk-0.4.5-1.fc17.x86_64.rpm
          binwalk-debuginfo-0.4.5-1.fc17.x86_64.rpm
binwalk.src: W: spelling-error %description -l en_US libmagic -> lib magic, lib-magic, magical
binwalk.src:2: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 2)
binwalk.x86_64: W: spelling-error %description -l en_US libmagic -> lib magic, lib-magic, magical
binwalk.x86_64: W: no-manual-page-for-binary binwalk
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint binwalk binwalk-debuginfo
binwalk.x86_64: W: spelling-error %description -l en_US libmagic -> lib magic, lib-magic, magical
binwalk.x86_64: W: no-manual-page-for-binary binwalk
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
binwalk-0.4.5-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libc.so.6()(64bit)  
    libcurl.so.4()(64bit)  
    libgcc_s.so.1()(64bit)  
    libgcc_s.so.1(GCC_3.0)(64bit)  
    libgcc_s.so.1(GCC_3.3.1)(64bit)  
    libmagic.so.1()(64bit)  
    libpthread.so.0()(64bit)  
    libz.so.1()(64bit)  
    rtld(GNU_HASH)  

binwalk-debuginfo-0.4.5-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    



Provides
--------
binwalk-0.4.5-1.fc17.x86_64.rpm:
    
    binwalk = 0.4.5-1.fc17
    binwalk(x86-64) = 0.4.5-1.fc17

binwalk-debuginfo-0.4.5-1.fc17.x86_64.rpm:
    
    binwalk-debuginfo = 0.4.5-1.fc17
    binwalk-debuginfo(x86-64) = 0.4.5-1.fc17



MD5-sum check
-------------
http://binwalk.googlecode.com/files/binwalk-0.4.5.tar.gz :
  CHECKSUM(SHA256) this package     : 0797173ef20f581e7573976c70e4b2575656d56b482a9392a8795714436da2f0
  CHECKSUM(SHA256) upstream package : 0797173ef20f581e7573976c70e4b2575656d56b482a9392a8795714436da2f0


Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 870496 -m fedora-17-x86_64
Comment 3 Adam Jackson 2012-12-13 11:18:33 EST
New Package SCM Request
=======================
Package Name: binwalk
Short Description: Firmware analysis tool
Owners: ajax
Branches: F18
InitialCC:
Comment 4 Jon Ciesla 2012-12-13 11:23:14 EST
Git done (by process-git-requests).
Comment 5 Adam Jackson 2012-12-13 12:44:40 EST
Imported, building now, thanks!
Comment 6 Fedora Update System 2012-12-13 12:51:51 EST
binwalk-0.4.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/binwalk-0.4.5-1.fc18
Comment 7 Fedora Update System 2013-01-11 19:12:37 EST
binwalk-0.4.5-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.